歡迎您光臨本站 註冊首頁

最近打算開始研究一下機器學習,今天在windows上裝tensorflow花了點功夫,其實前面的步驟不難,只要依次裝好python3.5,numpy,tensorflow就行了,有一點要注意的是目前只有python3.5能裝tensorflow,最新版的python3.6都不行。

裝好tensorflow後,我建議大家不要直接用測試用例進行測試(如果沒裝好的話出現的錯誤一般都是:module ‘tensorflow' has no attribute ‘constant')。第一次測試時可以在python shell裡面輸入:

import tensorflow

如果沒有報錯,恭喜你,十有八九是裝好了,這時可以再用簡單的測試用例測試一下。但我估計沒報錯的話你也不會看到這篇博客了。。。

事實上,我第一次安裝的時候出現瞭如下錯誤:
 Traceback (most recent call last):
 File “D:PythonPython35libsite-packages ensorflowpythonpywrap_tensorflow_internal.py”, line 18, in swig_import_helper
 return importlib.import_module(mname)
 File “D:PythonPython35libimportlib__init__.py”, line 126, in import_module
 return _bootstrap._gcd_import(name[level:], package, level)
 File “frozen importlib._bootstrap”, line 986, in _gcd_import
 File “frozen importlib._bootstrap”, line 969, in _find_and_load
 File “frozen importlib._bootstrap”, line 958, in _find_and_load_unlocked
 File “frozen importlib._bootstrap”, line 666, in _load_unlocked
 File “frozen importlib._bootstrap”, line 577, in module_from_spec
 File “frozen importlib._bootstrap_external”, line 906, in create_module
 File “frozen importlib._bootstrap”, line 222, in _call_with_frames_removed
 ImportError: DLL load failed: 找不到指定的模塊。

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
 File “D:PythonPython35libsite-packages ensorflowpythonpywrap_tensorflow.py”, line 41, in module
 from tensorflow.python.pywrap_tensorflow_internal import *
 File “D:PythonPython35libsite-packages ensorflowpythonpywrap_tensorflow_internal.py”, line 21, in module
 _pywrap_tensorflow_internal = swig_import_helper()
 File “D:PythonPython35libsite-packages ensorflowpythonpywrap_tensorflow_internal.py”, line 20, in swig_import_helper
 return importlib.import_module(‘_pywrap_tensorflow_internal')
 File “D:PythonPython35libimportlib__init__.py”, line 126, in import_module
 return _bootstrap._gcd_import(name[level:], package, level)
 ImportError: No module named ‘_pywrap_tensorflow_internal'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
 File “pyshell#0”, line 1, in module
 import tensorflow
 File “D:PythonPython35libsite-packages ensorflow__init__.py”, line 24, in module
 from tensorflow.python import *
 File “D:PythonPython35libsite-packages ensorflowpython__init__.py”, line 51, in module
 from tensorflow.python import pywrap_tensorflow
 File “D:PythonPython35libsite-packages ensorflowpythonpywrap_tensorflow.py”, line 52, in module
 raise ImportError(msg)
 ImportError: Traceback (most recent call last):
 File “D:PythonPython35libsite-packages ensorflowpythonpywrap_tensorflow_internal.py”, line 18, in swig_import_helper
 return importlib.import_module(mname)
 File “D:PythonPython35libimportlib__init__.py”, line 126, in import_module
 return _bootstrap._gcd_import(name[level:], package, level)
 File “frozen importlib._bootstrap”, line 986, in _gcd_import
 File “frozen importlib._bootstrap”, line 969, in _find_and_load
 File “frozen importlib._bootstrap”, line 958, in _find_and_load_unlocked
 File “frozen importlib._bootstrap”, line 666, in _load_unlocked
 File “frozen importlib._bootstrap”, line 577, in module_from_spec
 File “frozen importlib._bootstrap_external”, line 906, in create_module
 File “frozen importlib._bootstrap”, line 222, in _call_with_frames_removed
 ImportError: DLL load failed: 找不到指定的模塊。

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
 File “D:PythonPython35libsite-packages ensorflowpythonpywrap_tensorflow.py”, line 41, in module
 from tensorflow.python.pywrap_tensorflow_internal import *
 File “D:PythonPython35libsite-packages ensorflowpythonpywrap_tensorflow_internal.py”, line 21, in module
 _pywrap_tensorflow_internal = swig_import_helper()
 File “D:PythonPython35libsite-packages ensorflowpythonpywrap_tensorflow_internal.py”, line 20, in swig_import_helper
 return importlib.import_module(‘_pywrap_tensorflow_internal')
 File “D:PythonPython35libimportlib__init__.py”, line 126, in import_module
 return _bootstrap._gcd_import(name[level:], package, level)
 ImportError: No module named ‘_pywrap_tensorflow_internal'

Failed to load the native TensorFlow runtime.

Seehttps://www.tensorflow.org/install/install_sources

for some common reasons and solutions. Include the entire stack trace
 above this error message when asking for help.

之前在網上查安裝方法時,大多數都說要裝一個Anaconda,但我是直接裝的python3.5,所以沒裝Anaconda,我相信問題不在這裡。後來看到有人說裝了visual studio2017解決了這個錯誤,我想不至於吧,裝個tensorflow還要裝個visual studio2017?事實上只是visual studio2017中剛好有運行tensorflow必須的運行時環境。所以,只要安裝一下缺少的運行時環境就可以了,可以在如下網站中按照它的install instructions進行安裝,非常簡單,只要注意選對32位和64位的版本就行了。

https://www.microsoft.com/en-us/download/details.aspx?id=53587

裝好後tensorflow就可以正常使用了~

                                                     

   


[火星人 ] 解決windows上安裝tensorflow時報錯,“DLL load failed: 找不到指定的模塊”的問題已經有254次圍觀

http://coctec.com/docs/developer/show-post-237822.html